チケット #106 (closed defect: fixed)

登録: 5 年 前

最終更新: 5 年 前

BetweenAS3.bezier でエラーになる場合がある

報告者: nobu 担当者: yossy
優先度: critical マイルストーン:
コンポーネント: BetweenAS3 キーワード: BetweenAS3 tween bezier
関係者:

チケットの概要 (最終更新者: nobu)

BetweenAS3.bezier でオブジェクトを動かした時に、特定のイージングを使うとエラーになる。

  • Back.easeOut
  • Back.easeInOut
  • Elastic.easeIn
  • Elastic.easeOut
  • Elastic.easeInOut

テストしていたコードの抜粋。

//  s は Sprite のインスタンス
BetweenAS3.serial(
    BetweenAS3.addChild(s, this),
    BetweenAS3.bezier(s, to, from, ctls, 2, Back.easeOut),
    BetweenAS3.removeFromParent(s)
).play();

エラーのスタックトレース。

RangeError: Error #1125: インデックス 3 は 3 の範囲外です。
    at org.libspark.betweenas3.core.updaters::BezierUpdater/updateObject()
    at org.libspark.betweenas3.core.updaters::AbstractUpdater/update()
    at org.libspark.betweenas3.core.tweens::ObjectTween/internalUpdate()
    at org.libspark.betweenas3.core.tweens::AbstractTween/update()
    at org.libspark.betweenas3.core.tweens.groups::SerialTween/internalUpdate()
    at org.libspark.betweenas3.core.tweens::AbstractTween/tick()
    at org.libspark.betweenas3.tickers::EnterFrameTicker/update()

Elastic.easeIn はイージングのスタート直後に、それ以外は終了付近でエラーが出る。

以上、報告となります。 宜しくお願いします!

添付ファイル

チケットの履歴

2009/08/19 02:18:23 更新者:nobu

  • 説明 が更新されました。

2009/08/28 12:28:06 更新者:yossy

イージングによってトゥイーンの係数が 0.0 - 1.0 の範囲外になるものがあるので、そこを考慮する必要がある。

2009/09/09 03:07:22 更新者:yossy

  • ステータスnew から closed に更新されました。
  • 解決方法fixed に更新されました。

(In [3079]) BetweenAS3: Fix: RangeError? has occurred when using bezier tween with Elastic or Back easing. (fixed #106)


追記/更新 #106 (BetweenAS3.bezier でエラーになる場合がある)




操作